//
// Created by jesper on 5/15/16.
//

#include <TROOT.h>
#include "tgupdate.h"
#include "TApplication.h"
#include "TGButton.h"
#include "Riostream.h"
//#include "tgupdate.h"
#include "TH1F.h"
#include "TClass.h"
using namespace std;

void exec3event(Int_t event, Int_t x, Int_t y, TObject *selected) {
    TCanvas *c = (TCanvas *) gTQSender;
    printf("Canvas %s: event=%d, x=%d, y=%d, selected=%s\n", c->GetName(),
        event, x, y, selected->IsA()->GetName());
}


int main(int argc, char **argv)
{
    TApplication *theApp = new TApplication("tgupdate", &argc, argv);

    gROOT->GetListOfGlobalFunctions()->Delete();

    TH1F *h = new TH1F("h","h",100,-3,3);
    h->FillRandom("gaus",1000);
    TCanvas *c1=new TCanvas("c1");
    h->Draw();
    c1->Update();
    c1->Connect("ProcessedEvent(Int_t,Int_t,Int_t,TObject*)", 0, 0,
                "exec3event(Int_t,Int_t,Int_t,TObject*)");

    theApp->Run();
    return 0;
}
